让WordPress通过插件支持MarkDown

By | September 6, 2016
  • 有很多插件可以让WordPress支持MarkDown的编辑和显示,但大多数插件都是支持旧版本的WordPress,目前最新的WP版本是4.6,本人尝试安装了几个MarkDown插件,发现有些插件已经不适用于新版本的WP。经过挑选,本博客现在用于编辑MD的插件是WP Markdown Editor,这个插件提供MarkDown编辑器,有辅助编辑功能,如自动填充运算符、加粗显示标题,没有语法高亮显示。

  • WP Markdown Editor没有编程语言的代码高亮显示功能,代码高亮需要其他插件的提供。本博客使用Enlighter插件在前台页面提供代码高亮显示。

  • 要想代码高亮显示,在编写MarkDown时需要用shortcode形式表示代码,示例如下:

Shortcode:
[php]
<?php
echo ‘Hello world!’;
[/php]

显示:


© 2016 – 2019, Navin. All rights reserved.

鉴于本人的相关知识储备以及能力有限,本博客的观点或者描述如有错漏或是有考虑不周到的地方还请多多包涵,也欢迎指正,一起学习,共同进步。